Subject: Re: gpatch?
To: MLH <>
From: grant beattie <>
List: tech-pkg
Date: 03/11/2004 10:09:52
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Wed, Mar 10, 2004 at 05:01:07PM -0600, MLH wrote:

> I had just done that- trashed /usr/pkg, rebuilt bootstrap-pkgsrc
> and tried to build gmake, which required gcc3, which apparently
> required gpatch but there was no built-in dependency, likely due
> to the circular dependency observed.

right, it's not immediately obvious, but the circular dependency on
devel/patch is ignored...

> > what was the problem building packages with SunPro, and what version
> > do you have?
> Only that I couldn't build devel/patch with it since devel/patch
> indicates that it requires gcc3 to build.

that isn't right. what gives you this impression? do you have

> > the specific problem of building a compiler from pkgsrc before all
> > necessary tools are available is a bootstrapping problem which we hope
> > to address in the near future...
> It looks like things are under control now, but I had to install
> the solaris gcc3 package and build devel/patch first, then work on
> gmake and gcc3 with it first. So far:
> patch-2.5.4nb2      Patch files using diff output
> gmake-3.80nb2       GNU version of 'make' utility
> gcc3-c-3.3.3        GNU Compiler Collection, v3 - C compiler
> gcc3-c++-3.3.3      GNU Compiler Collection, v3 - C++ compiler

right. :)

there's also 1600+ binary pkgs for Solaris 9/sparc at (from early Feb).


Content-Type: application/pgp-signature
Content-Disposition: inline

Version: GnuPG v1.2.4 (NetBSD)